嵌入式組件
更新組件
更新嵌入式組件的名稱、狀態、關聯密鑰、外觀、行為、安全或意圖配置。
PATCH
/
api
/
v1
/
iframes
/
{id}
更新組件
curl --request PATCH \
--url https://api.example.com/api/v1/iframes/{id} \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"status": "<string>",
"api_key_id": "<string>",
"appearance": {},
"behavior": {},
"security": {},
"intent": {}
}
'import requests
url = "https://api.example.com/api/v1/iframes/{id}"
payload = {
"name": "<string>",
"status": "<string>",
"api_key_id": "<string>",
"appearance": {},
"behavior": {},
"security": {},
"intent": {}
}
headers = {"Content-Type": "application/json"}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
status: '<string>',
api_key_id: '<string>',
appearance: {},
behavior: {},
security: {},
intent: {}
})
};
fetch('https://api.example.com/api/v1/iframes/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.example.com/api/v1/iframes/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'name' => '<string>',
'status' => '<string>',
'api_key_id' => '<string>',
'appearance' => [
],
'behavior' => [
],
'security' => [
],
'intent' => [
]
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.example.com/api/v1/iframes/{id}"
payload := strings.NewReader("{\n \"name\": \"<string>\",\n \"status\": \"<string>\",\n \"api_key_id\": \"<string>\",\n \"appearance\": {},\n \"behavior\": {},\n \"security\": {},\n \"intent\": {}\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.patch("https://api.example.com/api/v1/iframes/{id}")
.header("Content-Type", "application/json")
.body("{\n \"name\": \"<string>\",\n \"status\": \"<string>\",\n \"api_key_id\": \"<string>\",\n \"appearance\": {},\n \"behavior\": {},\n \"security\": {},\n \"intent\": {}\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.example.com/api/v1/iframes/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["Content-Type"] = 'application/json'
request.body = "{\n \"name\": \"<string>\",\n \"status\": \"<string>\",\n \"api_key_id\": \"<string>\",\n \"appearance\": {},\n \"behavior\": {},\n \"security\": {},\n \"intent\": {}\n}"
response = http.request(request)
puts response.read_body{
"iframe": {}
}身份驗證
需要 Bearer 令牌(API 密鑰)或儀表盤會話。路徑參數
string
必填
該組件配置的 UUID。
請求
所有字段均為可選 — 僅需包含你想要修改的字段。string
組件的顯示名稱。
string
"active" 或 "disabled"。string
將該組件重新關聯到另一個 API 密鑰。
object
視覺自定義設置(
primaryColor、position、borderRadius、fontFamily 等)。object
行為設置(
welcomeMessage、placeholder、maxPromptLength、enableFileUpload、enableVoice、strictAbuse)。object
安全設置:機器人防護開關以及域名允許列表(
allowedOrigins/allowedDomains)。object
人工升級意圖配置(自定義關鍵詞觸發條件與操作)。
響應
object
更新後的組件配置。
示例
curl
curl -X PATCH https://www.hitheo.ai/api/v1/iframes/CONFIG_ID \
-H "Authorization: Bearer $THEO_API_KEY" \
-H "Content-Type: application/json" \
-d '{ "status": "disabled" }'
這個頁面有幫助嗎?
更新組件
curl --request PATCH \
--url https://api.example.com/api/v1/iframes/{id} \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"status": "<string>",
"api_key_id": "<string>",
"appearance": {},
"behavior": {},
"security": {},
"intent": {}
}
'import requests
url = "https://api.example.com/api/v1/iframes/{id}"
payload = {
"name": "<string>",
"status": "<string>",
"api_key_id": "<string>",
"appearance": {},
"behavior": {},
"security": {},
"intent": {}
}
headers = {"Content-Type": "application/json"}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
status: '<string>',
api_key_id: '<string>',
appearance: {},
behavior: {},
security: {},
intent: {}
})
};
fetch('https://api.example.com/api/v1/iframes/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.example.com/api/v1/iframes/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'name' => '<string>',
'status' => '<string>',
'api_key_id' => '<string>',
'appearance' => [
],
'behavior' => [
],
'security' => [
],
'intent' => [
]
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.example.com/api/v1/iframes/{id}"
payload := strings.NewReader("{\n \"name\": \"<string>\",\n \"status\": \"<string>\",\n \"api_key_id\": \"<string>\",\n \"appearance\": {},\n \"behavior\": {},\n \"security\": {},\n \"intent\": {}\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.patch("https://api.example.com/api/v1/iframes/{id}")
.header("Content-Type", "application/json")
.body("{\n \"name\": \"<string>\",\n \"status\": \"<string>\",\n \"api_key_id\": \"<string>\",\n \"appearance\": {},\n \"behavior\": {},\n \"security\": {},\n \"intent\": {}\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.example.com/api/v1/iframes/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["Content-Type"] = 'application/json'
request.body = "{\n \"name\": \"<string>\",\n \"status\": \"<string>\",\n \"api_key_id\": \"<string>\",\n \"appearance\": {},\n \"behavior\": {},\n \"security\": {},\n \"intent\": {}\n}"
response = http.request(request)
puts response.read_body{
"iframe": {}
}